ResourceAllocation/resourcemanagement/employee/urls.py
from django.urls import path, include
from . import views

urlpatterns = [
    path('', views.home_page_view, name='home'),
    path('home', views.home_page_view, name='home'),
    path('employee', views.employee_view, name='employee'),
    path('add_employee', views.add_employee, name='add_employee'),
    path('exportEmployee', views.exportEmployee, name='exportEmployee'),
    path('reports', views.reports, name='reports'),
    # path('employeeupload', views.employeeupload, name='employeeupload'),



]

ResourceAllocation/resourcemanagement/register/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path("register", views.register, name="register"),
    path('login', views.login, name='login'),
]

ResourceAllocation/resourcemanagement/resourcemanagement/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('employee.urls')),
    path('', include('register.urls')),
    path('', include('todolist.urls')),
    path('', include('projects.urls')),
    path('', include('django.contrib.auth.urls')),

]

ResourceAllocation/resourcemanagement/todolist/urls.py
from django.urls import path
from . import views


urlpatterns = [
    path('todolist', views.todolist, name='todolist'),
    path('employee_overview', views.employee_overview, name='employee_overview'),
    path('exportToDoList', views.exportToDoList, name='exportToDoList'),
]

ResourceAllocation/resourcemanagement/employee/models.py
from django.db import models

# Create your models here.

from django.db import models
from django.contrib.auth.models import User


class Employee(models.Model):
    firstname = models.CharField(max_length=100)
    lastname = models.CharField(max_length=100)
    email = models.CharField(max_length=200)
    skill = models.TextField()
    department = models.TextField()
    title = models.CharField(max_length=200, default='none')

    class Meta:
        verbose_name = ("Employee")
        verbose_name_plural = ("Employees")

ResourceAllocation/resourcemanagement/projects/models.py
from django.db import models

# Create your models here.


from employee.models import Employee
from django.utils import timezone



class Projects(models.Model):
    name = models.CharField(max_length=255)
    description = models.CharField(max_length=255)
    start_date = models.DateField(default=timezone.now().strftime("%Y-%m-%d"))
    end_date = models.DateField(default=timezone.now().strftime("%Y-%m-%d"))
    employee = models.ForeignKey(Employee, default=None, on_delete=models.SET_NULL, null=True,)
    content = models.TextField(blank=True)

    # class Meta:
    #     ordering = ["-created"]

    def __str__(self):
        return self.name

ResourceAllocation/resourcemanagement/register/models.py
from django.db import models

# Create your models here.

ResourceAllocation/resourcemanagement/todolist/models.py
from django.db import models

# Create your models here.

from django.utils import timezone
from employee.models import Employee


class Category(models.Model):  # The Category table name that inherits models.Model
    name = models.CharField(max_length=100)  # Like a varchar

    class Meta:
        verbose_name = ("Category")
        verbose_name_plural = ("Categories")

    def __str__(self):
        return self.name


class TodoList(models.Model):
    title = models.CharField(max_length=250)  # a varchar
    content = models.TextField(blank=True)  # a text field
    created = models.DateField(default=timezone.now().strftime("%Y-%m-%d"))
    due_date = models.DateField(default=timezone.now().strftime("%Y-%m-%d"))
    category = models.ForeignKey(Category, default="general", on_delete=models.CASCADE)  # a foreignkey
    employee = models.ForeignKey(Employee, default="general", on_delete=models.CASCADE)

    class Meta:
        ordering = ["-created"]

    def __str__(self):
        return self.title

ResourceAllocation/resourcemanagement/register/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

# from resourcemanagement.employee.models import ToDoList


class RegisterForm(UserCreationForm):
    email = forms.EmailField()

    class Meta:
        model = User
        fields = ["username", "email", "password1", "password2"]

ResourceAllocation/resourcemanagement/employee/views.py
from django.contrib.auth import login
from django.contrib.auth.decorators import login_required
from django.contrib.auth.forms import UserCreationForm
from django.shortcuts import render, redirect

# Create your views here.

from django.shortcuts import render
from .models import Employee

from django.http import HttpResponse
from .resources import EmployeeResource
from projects.resources import ProjectsResourceImport
from projects.resources import ProjectsResource
from tablib import Dataset

def home_page_view(request):
    return render(request, 'index.html')


def employee_view(request):
    return render(request, 'employee.html')



def add_employee(request):
    if request.method == 'POST':
        if request.POST.get('firstname') and request.POST.get('lastname') and request.POST.get(
                'email') and request.POST.get('skill') and request.POST.get('department') and request.POST.get('title'):
            post = Employee()
            post.firstname = request.POST.get('firstname')
            post.lastname = request.POST.get('lastname')
            post.email = request.POST.get('email')
            post.skill = request.POST.get('skill')
            post.department = request.POST.get('department')
            post.title = request.POST.get('title')
            post.save()

            return render(request, 'add_employee.html')

    else:
        return render(request, 'add_employee.html')


def exportEmployee(request):
    employee_resource = ProjectsResourceImport()
    dataset = employee_resource.export()
    response = HttpResponse(dataset.xls, content_type='application/vnd.ms-excel')
    response['Content-Disposition'] = 'attachment; filename="employee.xls"'
    return response


def reports(request):

    if request.method == 'POST':


        if "employee_import" in request.POST:
            person_resource = EmployeeResource()
            dataset = Dataset()
            new_persons = request.FILES['myfile']

            dataset.load(new_persons.read())
            result = person_resource.import_data(dataset, dry_run=True)  # Test the data import
            print("upload employee")

            if not result.has_errors():
                person_resource.import_data(dataset, dry_run=False)  # Actually import now

        elif "project_import" in request.POST:
            project_resource = ProjectsResourceImport()
            dataset = Dataset()
            new_projects = request.FILES['myfile2']
            # pr_imported_data = dataset.load(new_projects.read())
            dataset.load(new_projects.read())
            result = project_resource.import_data(dataset, dry_run=True)  # Test the data import

            if not result.has_errors():
                project_resource.import_data(dataset, dry_run=False)  # Actually import now
                print("upload projects")
            else:
                print(result)

    return render(request, 'reports.html')

# def employeeupload(request):
#     if request.method == 'POST':
#         person_resource = EmployeeResource()
#         dataset = Dataset()
#         new_persons = request.FILES['myfile']
#
#         dataset.load(new_persons.read())
#         result = person_resource.import_data(dataset, dry_run=True)  # Test the data import
#         print("upload employee")
#
#         if not result.has_errors():
#             person_resource.import_data(dataset, dry_run=False)  # Actually import now
#
#     return render(request, 'reports.html')

ResourceAllocation/resourcemanagement/register/views.py
# views.py
from django.http import HttpResponseRedirect
from django.shortcuts import render, redirect
from django.views.generic import CreateView
from . import models


from .forms import RegisterForm

# Create your views here.
from django.urls import reverse_lazy

# from ..employee.models import ToDoList


def register(request):
    if request.method == "POST":
        form = RegisterForm(request.POST)
        if form.is_valid():
            form.save()

        return redirect("/home")
    else:
        form = RegisterForm()

    return render(request, "register.html", {"form": form})


def login(request):
    return render(request, 'registration/login.html')

ResourceAllocation/resourcemanagement/todolist/views.py
from django.shortcuts import render

# Create your views here.

from django.shortcuts import render, redirect

from projects.models import Projects
from .models import TodoList, Category
from employee.models import Employee

from django.http import HttpResponse
from .resources import CategoryResource,TodolistResource


def todolist(request):
    todos = TodoList.objects.all()
    categories = Category.objects.all()
    employees = Employee.objects.all()
    if request.method == "POST":
        if "taskAdd" in request.POST:
            title = request.POST["description"]
            date = str(request.POST["date"])
            category = request.POST["category_select"]
            employee = request.POST["employee_select"]
            content = title + " -- " + date + " " + category
            Todo = TodoList(title=title, content=content, due_date=date, category=Category.objects.get(name=category),
                            employee=Employee.objects.get(id=employee))
            Todo.save()
            return redirect("todolist")
        lista = []
        if "taskDelete" in request.POST:
            checkedlist = request.POST.getlist('checkedbox')
            for check in checkedlist:
                todo = TodoList.objects.get(id=check)
                todo.delete()

    return render(request, "todolist.html", {"todos": todos, "categories": categories, "employees": employees})


def employee_overview(request):
    # quering all todos with the object manager
    employees = Employee.objects.all()
    project = Projects.objects.all()
    context = {"employees": employees}

    if request.method == "POST":
        employee_id = request.POST["employee_id"]
        # print(employee_id)
        context["employee_id"] = employee_id
        employee_selected = Employee.objects.get(id=employee_id)
        context["employee_selected"] = employee_selected
        if "Search" in request.POST:
            todos = TodoList.objects.filter(employee_id=employee_id)
            # projects = Projects.objects.filter(employee_id=employee_id)
            context["todos"] = todos
            # context["projects"] = projects
            #
            # context["showproject"] = projects


        elif "Save" in request.POST:
            firstname = request.POST["firstname"]
            lastname = request.POST["lastname"]
            skill = request.POST["skill"]
            department = request.POST["department"]
            email = request.POST["email"]
            title = request.POST["title"]

            employee_selected.firstname = firstname
            employee_selected.lastname = lastname
            employee_selected.skill = skill
            employee_selected.department = department
            employee_selected.email = email
            employee_selected.title = title

            employee_selected.save()

        elif "taskDelete" in request.POST:
            checkedlist1 = request.POST.getlist('checkedbox1')
            for check in checkedlist1:
                todo = TodoList.objects.get(id=check)
                todo.delete()

            checkedlist2 = request.POST.getlist('checkedbox2')
            # print(checkedlist2)
            for project_id in checkedlist2:
                Projects.objects.filter(id=project_id).update(employee_id=None)

        projects = Projects.objects.filter(employee_id=employee_id)
        context["projects"] = projects



    return render(request, "employee_overview.html", context)


def exportToDoList(request):
    # category_resource = CategoryResource()
    todolist_resource = TodolistResource()
    # dataset1 = category_resource.export()
    dataset2 = todolist_resource.export()
    # response1 = HttpResponse(dataset1.xls, content_type='application/vnd.ms-excel')
    # response1['Content-Disposition'] = 'attachment; filename="category.xls"'
    response2 = HttpResponse(dataset2.xls, content_type='application/vnd.ms-excel')
    response2['Content-Disposition'] = 'attachment; filename="todolist.xls"'
    return response2

ResourceAllocation/resourcemanagement/templates/add_employee.html
{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}



{% block content %}
<html>
 <link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all" />



    <h1>Add Employee</h1>
    <p>
    <form action="add_employee" method="POST" class="form-group">
        {% csrf_token %}
        {{ form|crispy }}
        Employee First Name:<br/>
        <input type="text" name="firstname" autofocus="" autocapitalize="none" autocomplete="firstname" maxlength="150" class="textinput
         textInput form-control" required="" id="id_firstname"/><br/>
        Employee Last Name:
        <input type="text" name="lastname" autofocus="" autocapitalize="none" autocomplete="lastname" maxlength="150" class="textinput
        textInput form-control" required="" id="id_lastname"/> <br/>
        Employee Email:
        <input type="text" name="email" autofocus="" autocapitalize="none" autocomplete="email" maxlength="150" class="textinput
        textInput form-control" required="" id="id_email"/> <br/>
        Employee Skill:
        <input type="text" name="skill" autofocus="" autocapitalize="none" autocomplete="skill" maxlength="150" class="textinput
        textInput form-control" required="" id="id_skill"/> <br/>
        Employee Department:
        <input type="text" name="department" autofocus="" autocapitalize="none" autocomplete="department" maxlength="150" class="textinput
        textInput form-control" required="" id="department"/> <br/>
        Employee Title:
        <input type="text" name="title" autofocus="" autocapitalize="none" autocomplete="title" maxlength="150" class="textinput
        textInput form-control" required="" id="id_title"/> <br/>

        <input type="submit" value="Add" class="btn btn-success"/>
    </form>
    </p>

</html>
{% endblock %}

{%block sidebar %}
{% include 'menu.html' %}
{% endblock %}

ResourceAllocation/resourcemanagement/templates/add_project.html
{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}



{% block content %}
<html>
 <link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all" />



    <h1>Add Project</h1>
    <p>
    <form action="add_project" method="POST" class="form-group">
        {% csrf_token %}
        {{ form|crispy }}
        Project name:<br/>
        <input type="text" name="name" autofocus="" autocapitalize="none" autocomplete="name" maxlength="150" class="textinput
         textInput form-control" required="" id="id_name"/><br/>
        Project description:
        <input type="text" name="description" autofocus="" autocapitalize="none" autocomplete="description" maxlength="150" class="textinput
        textInput form-control" required="" id="id_description"/> <br/>
        Project Start_Date:
        <input type="date" name="start_date" autofocus="" autocapitalize="none" autocomplete="start_date" maxlength="150" class="textinput
        textInput form-control" required="" id="id_start_date"/> <br/>
        Project End_Date:
        <input type="date" name="end_date" autofocus="" autocapitalize="none" autocomplete="end_date" maxlength="150" class="textinput
        textInput form-control" required="" id="id_end_date"/> <br/>
<!--          <div class="inputContainer half last">-->
<!--                    <i class="fa fa-caret-down selectArrow"></i>-->
<!--                    <select id="employee" class="taskCategory" style="width: 520px" name="employee_select">-->
<!--                    <option class="disabled" value="">Choose an employee</option>-->
<!--                    {% for employee in employees %}-->
<!--                        <option class="" value="{{ employee.id}}"-->
<!--                                name="{{ employee.id}}">{{ employee.lastname}} {{employee.firstname }}</option>-->
<!--                    {% endfor %}-->
<!--                    </select>-->
<!--          </div>-->
         <br/>
        <input type="submit" name="Add" value="Add" class="btn btn-success"/>
<!--     <div class="row">-->
<!--    <button class="taskAdd" name="taskAdd" type="submit"><i class="fa fa-plus icon"></i>Add Project</button>-->
<!--     </div>-->
    </form>

    </p>
</html>
{% endblock %}

{%block sidebar %}
{% include 'menu.html' %}
{% endblock %}

ResourceAllocation/resourcemanagement/templates/another_page.html
<!DOCTYPE HTML>
<html>
{% load static %}
<head>
  <title>simplestyle_horizon - another page</title>
  <meta name="description" content="website description" />
  <meta name="keywords" content="website keywords, website keywords" />
  <meta http-equiv="content-type" content="text/html; charset=windows-1252" />
  <link rel="stylesheet" type="text/css" href="{% static 'style/style.css'%}" />
</head>

<body>
  <div id="main">
    <div id="header">
      <div id="logo">
        <div id="logo_text">
          <!-- class="logo_colour", allows you to change the colour of the text -->
          <h1><a href="index.html">simple<span class="logo_colour">style_horizon</span></a></h1>
          <h2>Simple. Contemporary. Website Template.</h2>
        </div>
      </div>
      <div id="menubar">
        <ul id="menu">
          <!-- put class="selected" in the li tag for the selected page - to highlight which page you're on -->
          <li><a href="index.html">Home</a></li>
          <li><a href="examples.html">Examples</a></li>
          <li><a href="page.html">A Page</a></li>
          <li class="selected"><a href="another_page.html">Another Page</a></li>
          <li><a href="contact.html">Contact Us</a></li>
        </ul>
      </div>
    </div>
    <div id="content_header"></div>
    <div id="site_content">
      <div id="sidebar_container">
        <div class="sidebar">
          <div class="sidebar_top"></div>
          <div class="sidebar_item">
            <!-- insert your sidebar items here -->
            <h3>Latest News</h3>
            <h4>New Website Launched</h4>
            <h5>February 1st, 2014</h5>
            <p>2014 sees the redesign of our website. Take a look around and let us know what you think.<br /><a href="#">Read more</a></p>
          </div>
          <div class="sidebar_base"></div>
        </div>
        <div class="sidebar">
          <div class="sidebar_top"></div>
          <div class="sidebar_item">
            <h3>Useful Links</h3>
            <ul>
              <li><a href="#">link 1</a></li>
              <li><a href="#">link 2</a></li>
              <li><a href="#">link 3</a></li>
              <li><a href="#">link 4</a></li>
            </ul>
          </div>
          <div class="sidebar_base"></div>
        </div>
        <div class="sidebar">
          <div class="sidebar_top"></div>
          <div class="sidebar_item">
            <h3>Search</h3>
            <form method="post" action="#" id="search_form">
              <p>
                <input class="search" type="text" name="search_field" value="Enter keywords....." />
                <input name="search" type="image" style="border: 0; margin: 0 0 -9px 5px;" src="style/search.png" alt="Search" title="Search" />
              </p>
            </form>
          </div>
          <div class="sidebar_base"></div>
        </div>
      </div>
      <div id="content">
        <!-- insert the page content here -->
        <h1>Another Page</h1>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui.</p>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui.</p>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui.</p>
        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui.</p>
      </div>
    </div>
    <div id="content_footer"></div>
    <div id="footer">
      <p><a href="index.html">Home</a> | <a href="examples.html">Examples</a> | <a href="page.html">A Page</a> | <a href="another_page.html">Another Page</a> | <a href="contact.html">Contact Us</a></p>
      <p>Copyright &copy; simplestyle_horizon | <a href="http://validator.w3.org/check?uri=referer">HTML5</a> | <a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a> | <a href="http://www.html5webtemplates.co.uk">Simple web templates by HTML5</a></p>
    </div>
  </div>
</body>
</html>

ResourceAllocation/resourcemanagement/templates/assignments.html
{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}


<link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all"/>

{% block content %}
<html>
<link href="{% static 'style/todolist.css'%}" rel="stylesheet" type="text/css"/>
<link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all"/>

{% block scripts %}

<script>

$(document).ready(function(){
$("input").prop('required',true);
$("select").prop('required',true);
if ($("#id_pie").val() == "TRUE"){
    $("#myChart").show();
    $("#free_start").show();
    $("#free_end").show();
    $("#project_start").show();
    $("#project_end").show();
    $("#selected_dates").show();

}
else {
    $("#myChart").hide();
    $("#free_start").hide();
    $("#free_end").hide();
    $("#project_start").hide();
    $("#project_end").hide();
    $("#selected_dates").hide();
}



            var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'pie',
            data: {
                labels: {{labels|safe}},
                datasets: [{
                    label: '# of Votes',
                    data: {{data|safe}},
                    backgroundColor: [
                        'rgba(255, 99, 132, 0.2)',
                        'rgba(54, 162, 235, 0.2)',
                        'rgba(255, 206, 86, 0.2)',
                        'rgba(75, 192, 192, 0.2)',
                        'rgba(153, 102, 255, 0.2)',
                        'rgba(255, 159, 64, 0.2)'
                    ],
                    borderColor: [
                        'rgba(255, 99, 132, 1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(75, 192, 192, 1)',
                        'rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'
                    ],
                    borderWidth: 1
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
<!--                            beginAtZero: true-->
                            display: false
                        }

                    }]
                }
            }
        });

});






</script>
{% endblock scripts %}
 <h1>Assignments</h1>
<div style="position:relative;">
    <form action="" method="post" id="myForm" name="myForm" class="form-group" >
        <input type="hidden" name="form_type" value="myForm">
        {% csrf_token %} <!-- csrf token for basic security -->
        {{ form|crispy }}

        <div class="row">
            <button class="taskAdd" name="Project" type="button" id="showProjects"><i class="fa fa-plus icon"></i>Assign
                employee to a project
            </button>
            <button class="taskAdd" name="Employee" type="button" id="workload"><i class="fa fa-plus icon"></i>Employee
                workload
            </button>
        </div>
        <div class="inputContainer" id="employees_id" style="">
            <i class="fa fa-caret-down selectArrow"></i>
            <select class="taskCategory" style="width: 100%;" name="employee_select" id="employee_select" >
                <option class="disabled" value="">Choose an employee</option>
                {% for employee in employees %}


                <option class="" value="{{employee.id}}"
                        name="{{employee.id}}">{{employee.lastname}} {{employee.firstname}}

                </option>

                {% endfor %}
            </select>

        </div>

        <div class="inputContainer" style="">
            <i class="fa fa-caret-down selectArrow"></i>
            <select id="projects_id" class="taskCategory" style="width: 100%;" name="project_select" >
                <option class="disabled" value="">Choose a project</option>
                {% for project in projects %}

                <option class="" value="{{project.id}}"
                        name="{{project.id}}">{{project.name}}
                </option>

                {% endfor %}
            </select>

        </div>
        <br/>

    </form>

    <form action="" method="post" id="WorkloadForm" class="form-group">
        <input type="hidden" name="form_type" value="WorkloadForm">
        <input type="hidden" name="pie" value="pie">
        <input type="hidden" id="id_pie" value="{{show_pie}}">
        {% csrf_token %}
        <div class="inputContainer" id="employees_workload_id" style="position: absolute; top:120px; width: 100%;">
            <i class="fa fa-caret-down selectArrow"></i>
            <select class="taskCategory" style="width: 100%;" name="employee_select_workload" id="employee_select_workload">
                <option class="disabled" value="">Choose an employee</option>
                {% for employee in employees %}


                <option class="" value="{{employee.id}}"
                        name="{{employee.id}}">{{employee.lastname}} {{employee.firstname}}

                </option>

                {% endfor %}
            </select>

        </div>
        <div class="inputContainer" id="date_id" style="overflow: visible;">
            <span style="color: #B0B0B0;">Start Date:</span>
            <input type="date" name="start_date" autofocus="" autocapitalize="none" autocomplete="start_date"
                   maxlength="150" class="textinput
        textInput form-control" id="id_start_date"/>
            <span style="color: #B0B0B0;">End Date:</span>
            <input type="date" name="end_date" autofocus="" autocapitalize="none" autocomplete="end_date"
                   maxlength="150" class="textinput
        textInput form-control" id="id_end_date" /> <br/>

        </div>


        <div class="row">
            <button type="button" id="ProjectAdd" class="taskAdd" name="ProjectAdd" style=" margin-top: 30px"><i
                    class="fa fa-plus icon"></i>Submit
            </button>

            <button class="taskAdd" name="Search" type="button" id="search" style=" margin-top: 100px"><i
                    class="fa fa-plus icon"></i>Search
            </button>
        </div>

    </form>
</div>

<div>  <h2>{{employee_workload.lastname}} {{employee_workload.firstname}}</h2><br/></div>

<canvas id="myChart" width="400" height="400"></canvas>
<span><br/></span>

<table class="customers" id="selected_dates">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Selected start
            date
        </th>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Selected end
            date
        </th>
    </tr>
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{start_date}}</td>
        <td style="border: 1px solid #ddd; padding: 8px;">{{end_date}}</td>
    </tr>
</table>

<table class="customers" style="float: left; width: 50%" id="free_start">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Available start
            date
        </th>
    </tr>
    {% for start in project_start_available %}
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{start}}</td>
    </tr>
    {% endfor %}

</table>

<table class="customers" style=" width: 50%;" id="free_end">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Available end date
        </th>
    </tr>

    {% for end in project_end_available %}
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{end}}</td>
    </tr>
    {% endfor %}

</table>


<table class="customers" style="float: left; width: 50%" id="project_start">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Project Name
        </th>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Project start
            date
        </th>
    </tr>
    {% for project in projects_workload %}
    <tr>
        <td style="border: 1px solid #ddd; padding: 8px;">{{project.name}}</td>
        <td style="border: 1px solid #ddd; padding: 8px;">{{project.start_date}}</td>
    </tr>
    {% endfor %}

</table>

<table class="customers" style=" width: 50%;" id="project_end">
    <tr>
        <th style="border: 1px solid #ddd; padding: 8px;background-color: #4CAF50; color: #ffffff;">Project end date
        </th>
    </tr>

    {% for project in projects_workload %}
    <tr>

        <td style="border: 1px solid #ddd; padding: 8px;">{{project.end_date}}</td>
    </tr>
    {% endfor %}

</table>


{% endblock %}

{%block sidebar %}
{% include 'menu.html' %}
{% endblock %}

ResourceAllocation/resourcemanagement/templates/employee.html
{% extends 'base.html' %}
{% load static %}
{% load crispy_forms_tags %}



{% block content %}

<link href="{% static 'default.css' %}" rel="stylesheet" type="text/css" media="all" />
<link rel="stylesheet" type="text/css" href="{% static 'style/todolist.css'%}"/>


            <ul id="menu">


            </ul>

{% endblock %}

{%block sidebar %}
{% include 'menu.html' %}
{% endblock %}